pcl::SurfaceNormalModality< PointInT >::Candidate Struct Reference

Candidate for a feature (used in feature extraction methods). More...

`#include <pcl/recognition/surface_normal_modality.h>`

## Public Member Functions

| Candidate ()
| Constructor. More...
bool | operator< (const Candidate &rhs) const
| Compares two candidates based on their distance to the next different quantized value. More...

## Public Attributes

Normal | normal
| Normal. More...
float | distance
| Distance to the next different quantized value. More...
unsigned char | bin_index
| Quantized value. More...
size_t | x
| x-position of the feature. More...
size_t | y
| y-position of the feature. More...

## Detailed Description

### template<typename PointInT>
struct pcl::SurfaceNormalModality< PointInT >::Candidate

Candidate for a feature (used in feature extraction methods).

Definition at line 300 of file surface_normal_modality.h.

## Constructor & Destructor Documentation

## Candidate()

template<typename PointInT>

pcl::SurfaceNormalModality< PointInT >::Candidate::Candidate | ( |  | ) |

inline

Constructor.

Definition at line 303 of file surface_normal_modality.h.

## Member Function Documentation

## operator<()

template<typename PointInT>

bool pcl::SurfaceNormalModality< PointInT >::Candidate::operator< | ( | const Candidate & | rhs | ) | const

inline

Compares two candidates based on their distance to the next different quantized value.

Parameters

  [in] | rhs | the candidate to compare with.

Definition at line 322 of file surface_normal_modality.h.

References pcl::SurfaceNormalModality< PointInT >::Candidate::distance.

## Member Data Documentation

## bin_index

template<typename PointInT>

unsigned char pcl::SurfaceNormalModality< PointInT >::Candidate::bin_index

Quantized value.

Definition at line 311 of file surface_normal_modality.h.

## distance

template<typename PointInT>

float pcl::SurfaceNormalModality< PointInT >::Candidate::distance

Distance to the next different quantized value.

Definition at line 308 of file surface_normal_modality.h.

Referenced by pcl::SurfaceNormalModality< PointInT >::Candidate::operator<().

## normal

template<typename PointInT>

Normal pcl::SurfaceNormalModality< PointInT >::Candidate::normal

Normal.

Definition at line 306 of file surface_normal_modality.h.

## x

template<typename PointInT>

size_t pcl::SurfaceNormalModality< PointInT >::Candidate::x

x-position of the feature.

Definition at line 314 of file surface_normal_modality.h.

## y

template<typename PointInT>

size_t pcl::SurfaceNormalModality< PointInT >::Candidate::y

y-position of the feature.

Definition at line 316 of file surface_normal_modality.h.

The documentation for this struct was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/recognition/include/pcl/recognition/surface_normal_modality.h